ClarisWksTextInternal::Token Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions
| Token ()
| constructor More...

## Public Attributes
TokenType | m_type
| the type More...
int | m_zoneId
| the zone id which correspond to this type More...
int | m_page
| the page More...
int | m_size [2]
| the size(?) More...
int | m_descent
| the descent More...
MWAWEntry | m_fieldEntry
| the field name entry More...
int | m_unknown [3]
| the unknown zone More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator << More...

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

## ◆ Token()

ClarisWksTextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_descent

int ClarisWksTextInternal::Token::m_descent

the descent

Referenced by ClarisWksTextInternal::operator<<(), and ClarisWksText::readTokens().

## ◆ m_extra

std::string ClarisWksTextInternal::Token::m_extra

a string used to store the parsing errors

Referenced by ClarisWksTextInternal::operator<<(), and ClarisWksText::readTokens().

## ◆ m_fieldEntry

MWAWEntry ClarisWksTextInternal::Token::m_fieldEntry

the field name entry

## ◆ m_page

int ClarisWksTextInternal::Token::m_page

the page

Referenced by ClarisWksTextInternal::operator<<(), and ClarisWksText::readTokens().

## ◆ m_size

int ClarisWksTextInternal::Token::m_size[2]

the size(?)

Referenced by ClarisWksTextInternal::operator<<(), ClarisWksText::readTokens(), and Token().

## ◆ m_type

TokenType ClarisWksTextInternal::Token::m_type

the type

Referenced by ClarisWksTextInternal::operator<<(), and ClarisWksText::readTokens().

## ◆ m_unknown

int ClarisWksTextInternal::Token::m_unknown[3]

the unknown zone

Referenced by ClarisWksTextInternal::operator<<(), ClarisWksText::readTokens(), and Token().

## ◆ m_zoneId

int ClarisWksTextInternal::Token::m_zoneId

the zone id which correspond to this type

Referenced by ClarisWksTextInternal::operator<<(), and ClarisWksText::readTokens().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx